
// tuto slider que j'ai suivi avec les commentaires incluent => https://codingnepalweb.com/demos/draggable-card-slider-html-css-javascript// 

const wrapper = document.querySelector(".wrapper");
const carousel = document.querySelector(".carousel");
const firstCardWidth = carousel.querySelector(".card").offsetWidth;
const arrowBtns = document.querySelectorAll(".wrapper i");
const carouselChildrens = [...carousel.children];

let isDragging = false, isAutoPlay = true, startX, startScrollLeft, timeoutId;

// Get the number of cards that can fit in the carousel at once
let cardPerView = Math.round(carousel.offsetWidth / firstCardWidth);

// Add event listeners for the arrow buttons to scroll the carousel left and right
arrowBtns.forEach(btn => {
    btn.addEventListener("click", () => {
        carousel.scrollLeft += btn.id == "left" ? -firstCardWidth : firstCardWidth;
    });
});

const dragStart = (e) => {
    isDragging = true;
    carousel.classList.add("dragging");
    // Records the initial cursor and scroll position of the carousel
    startX = e.pageX;
    startScrollLeft = carousel.scrollLeft;
}

const dragging = (e) => {
    if (!isDragging) return; // if isDragging is false return from here
    // Updates the scroll position of the carousel based on the cursor movement
    carousel.scrollLeft = startScrollLeft - (e.pageX - startX);
}

const dragStop = () => {
    isDragging = false;
    carousel.classList.remove("dragging");
}

const infiniteScroll = () => {
    const lastCard = carouselChildrens[carouselChildrens.length - 1];
    const lastCardOffset = lastCard.offsetLeft + lastCard.offsetWidth;

    // If the carousel is at the end, wait for the next click before scrolling back to the beginning
    if (Math.ceil(carousel.scrollLeft + carousel.offsetWidth) >= lastCardOffset) {
        carousel.classList.remove("dragging"); // Remove dragging class if present

        // Listen for the next click on the arrow buttons to scroll back to the beginning
        arrowBtns.forEach(btn => {
            btn.addEventListener("click", () => {
                carousel.scrollLeft = 0;
            });
        });

        return; // Exit the function without scrolling
    }

    // If the carousel is at the end, scroll to the beginning
    if (Math.ceil(carousel.scrollLeft + carousel.offsetWidth) >= carousel.scrollWidth) {
        carousel.classList.add("no-transition");
        carousel.scrollLeft = 0;
        carousel.classList.remove("no-transition");
    }

    // Clear existing timeout & start autoplay if mouse is not hovering over carousel
    clearTimeout(timeoutId);
    if (!wrapper.matches(":hover")) autoPlay();

};
