<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="page_salles.css">
    <link rel="stylesheet" href="style.css">
    <link rel="shortcut icon" href="images/brandLogo-black (2).png" type="image/x-icon">
    <title>Sélection</title>
</head>
<body>
    <!-- ========================================================= BARRE DE NAVIGATION ============================================================ -->
    <div class="nav-wrapper">
        <nav class="navbar">
            <a href="index.php"><img class="brandLogo" src="images/brabndLogo.png" alt="Aller dans Accueil"></a>
            <ul class="nav no-search">
                <li><a href="index.php" alt="Aller dans Accueil">Accueil</a></li>
                <li><a href="salles.php" alt="Aller dans Salles">Salles</a></li>
                <li><a href="reserv.php" alt="Aller dans Réservation">Réservation</a></li>
                <li><a href="apropos.php" alt="Aller dans à propos">A propos</a></li>
            </ul>
        </nav>
    </div>


<main class="container">

    <?php
if (isset($_GET['id'])) {
    $id = intval($_GET['id']);

    try {
        $pdo = new PDO('mysql:host=localhost;dbname=mukengeshayi_resaweb', 'mukengeshayi_sophiec', 'sophieC18');
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        $query = "SELECT * FROM sallededanse WHERE Id = :id"; 
        $stmt = $pdo->prepare($query);
        $stmt->bindParam(':id', $id, PDO::PARAM_INT);
        $stmt->execute();

        if ($stmt->rowCount() > 0) {
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            
            // Ajouter des descriptions basées sur l'ID de la salle
            switch ($id) {
                case 1:
                    $description = "Idéal pour tous types de dance, lumières LED, Coloré, 
                    Climatisation ";
                    break;
                case 2:
                    $description = "Idéal pour tous types de dance, lumière LED";
                    break;
                case 3:
                    $description = "Ideal pour tous types de dance, sol effet vernis, coloré, pas de fenètre";
                    break;
                case 4:
                    $description = "Idéal pour la danse classique et contemporaine, grand miroire, lumineux";
                    break;
                case 5:
                    $description = "Idéal pour la dance classique / ballet, piano libre accès, grande fenètres";
                    break;
            }

            echo "<section>";
            echo "<div class='details'>";
            echo "<img src='" . htmlspecialchars($row['image_url']) . "' alt='" . htmlspecialchars($row['nom_salle']) . "' width='400'>";
            echo "<h1>" . htmlspecialchars($row['nom_salle']) . "</h1>";
            echo "<p>Description : " . htmlspecialchars($description) . "</p>";
            echo "<p>Taille : " . htmlspecialchars($row['taille_m2']) . " m²</p>";
            echo "<p>Capacité : " . htmlspecialchars($row['nombre_personnes']) . " personnes</p>";
            echo "<p>Prix(/h) : " . htmlspecialchars($row['prix_par_heure']) . " €</p>";
            echo "<a href='reserv.php?id=" . htmlspecialchars($id) . "' class='btn'>RESERVER</a>"; // Lien vers la page de réservation
            echo "</div>";
            echo "</section>";
        } else {
            echo "<p>Aucune salle trouvée avec cet ID.</p>";
        }

    } catch (PDOException $e) {
        echo 'Échec de la connexion : ' . htmlspecialchars($e->getMessage());
    }
} else {
    echo "<p>ID de salle non fourni.</p>";
}
?>

    <!-- =============================================================== FOOTER =================================================================== -->
    <footer>
        <p><a href="mentions.php" alt="Aller dans Mentions">Mentions</a></p>
        <div class="brandLogo">
            <a href="index.php"><img src="images/brabndLogo.png" alt="Revenir dans Accueil"></a>
        </div>
        <p><a href="apropos.php" alt="Aller dans à propos">A propos</a></p>
    </footer>



    <script src="reserv.js"></script>
</body>
</html>
