<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="salles.css">
    <link rel="stylesheet" href="style.css">
    <link rel="shortcut icon" href="images/brandLogo-black (2).png" type="image/x-icon">

    <title>Nos Salles</title>
</head>
<body>

<!-- ========================================================= BARRE DE NAVIGATION ============================================================ -->
<div class="nav-wrapper">
    <nav class="navbar">
        <a href="index.php"><img class="brandLogo" src="images/brabndLogo.png" alt="Aller dans Accueil"></a>
        <ul class="nav no-search">
            <li><a href="index.php" alt="Aller dans Accueil">Accueil</a></li>
            <li><a href="salles.php" alt="Aller dans Salles">Salles</a></li>
            <li><a href="reserv.php" alt="Aller dans Réservation">Réservation</a></li>
            <li><a href="apropos.php" alt="Aller dans à propos">A propos</a></li>
        </ul>
    </nav>
</div>

<!-- ---------------------------------------------------- BARRE DE RECHERCHE ET FILTRE DE TRI  ---------------------------------------------- -->
<section>

<form action="" method="GET">
   <div class="titre_rech">Rechercher une salle :</div> 
    <input type="text" name="search" placeholder="Nom de la salle">
    <br>
    <select name="sort">
        <option value="sizeASC">Taille croissante</option>
        <option value="sizeDESC">Taille décroissante</option>
        <option value="priceASC">Prix croissant</option>
        <option value="priceDESC">Prix décroissant</option>
    </select>
    <br>
    <input type="submit" name="submit" value="Rechercher">
</form>

<?php
try {
    // Connexion à la base de données 
    $pdo = new PDO('mysql:host=localhost;dbname=mukengeshayi_resaweb', 'mukengeshayi_sophiec', 'sophieC18');
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Initialisation des variables de filtre
    $filter = "";
    $search_query = "";
    $sort_order = "";

    if (isset($_GET['submit'])) {
        if (!empty($_GET['search'])) {
            $search_query = htmlspecialchars($_GET['search']);
            $filter = " WHERE nom_salle LIKE :search_query";
        }
        if (!empty($_GET['sort'])) {
            $sort_order = htmlspecialchars($_GET['sort']);
            switch ($sort_order) {
                case 'sizeASC':
                    $sort_order = " ORDER BY taille_m2 ASC";
                    break;
                case 'sizeDESC':
                    $sort_order = " ORDER BY taille_m2 DESC";
                    break;
                case 'priceASC':
                    $sort_order = " ORDER BY prix_par_heure ASC";
                    break;
                case 'priceDESC':
                    $sort_order = " ORDER BY prix_par_heure DESC";
                    break;
                default:
                    $sort_order = " ORDER BY taille_m2 ASC"; // Par défaut, tri ce fait par taille croissante
            }
        }
    }

    // Préparation de la requête SQL
    $query = "SELECT * FROM sallededanse" . $filter . $sort_order;
    $stmt = $pdo->prepare($query);

    // Liaison du paramètre :search_query si une recherche est effectuée
    if (!empty($_GET['search'])) {
        $search_query = '%' . $search_query . '%'; // Ajoute des caractères de joker (%) pour rechercher des correspondances partielles
        $stmt->bindParam(':search_query', $search_query, PDO::PARAM_STR);
    }

    // Exécution de la requête
    $stmt->execute();

    // Vérification du nombre de résultats retournés
    if ($stmt->rowCount() > 0) {
        // Affichage des salles de danse
        echo "<div class='container'>";
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            echo "<div class='liste'>";
            echo "<a href='page_salles.php?id=" . htmlspecialchars($row['Id']) . "'>";  
            echo "<img src='" . htmlspecialchars($row['image_url']) . "' alt='" . htmlspecialchars($row['nom_salle']) . "' width='200'>";
            echo "<h1>" . htmlspecialchars($row['nom_salle']) . "</h1>";
            echo "<p>Taille : " . htmlspecialchars($row['taille_m2']) . " m²</p>";
            echo "<p>Capacité : " . htmlspecialchars($row['nombre_personnes']) . " personnes</p>";
            echo "<p>Prix(/h) : " . htmlspecialchars($row['prix_par_heure']) . " €</p>";           
            echo "</a>";

            echo "</div>";
        }
        
        echo "</div>";
    } else {
        // Affichage d'un message personnalisé si il n'y a aucun résultat
        echo "<p class= msg> Aucune salle à ce nom, essayer plutôt 'Glass Room'.</p>";
    }

} catch (PDOException $e) {
    echo 'Échec de la connexion : ' . htmlspecialchars($e->getMessage()); // Affiche le message d'erreur en cas d'échec de la connexion
}
?>

</section>


<!-- =============================================================== FOOTER =================================================================== -->
<footer>
    <p><a href="mentions.php" alt="Aller dans Mentions">Mentions</a></p>
    <div class="brandLogo">
        <a href="index.php"><img src="images/brabndLogo.png" alt="Revenir dans Accueil"></a>
    </div>
    <p><a href="apropos.php" alt="Aller dans à propos">A propos</a></p>
</footer>


</body>
</html>
