<?php
// Vérification si le formulaire a été soumis
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Récupération des données du formulaire
    $nom = htmlspecialchars($_POST['nom']);
    $prenom = htmlspecialchars($_POST['prenom']);
    $email = htmlspecialchars($_POST['email']);
    $date_naissance = $_POST['date_naissance'];
    $date_reservation = $_POST['date_reservation'];
    $heure_debut = $_POST['heure_debut'];
    $heure_fin = $_POST['heure_fin'];
    $nbr_personnes = $_POST['nbr_personnes'];
    $id_salle_de_danse = $_POST['id_salle_de_danse'];

    try {
        // Connexion à la base de données
        $pdo = new PDO('mysql:host=localhost;dbname=mukengeshayi_resaweb', 'mukengeshayi_sophiec', 'sophieC18');
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Insertion des informations du client dans la table `client`
        $stmt = $pdo->prepare("INSERT INTO client (nom_client, prenom_client, mail, date_naissance) VALUES (:nom, :prenom, :email, :date_naissance)");
        $stmt->execute([
            'nom' => $nom,
            'prenom' => $prenom,
            'email' => $email,
            'date_naissance' => $date_naissance
        ]);

        // Récupération de l'ID du client nouvellement inséré
        $id_client = $pdo->lastInsertId();

        // Utilisation de cet ID dans la requête d'insertion pour la réservation
        $sql = "INSERT INTO reservation (id_client, id_salle_de_danse, date_reservation, heure_debut, heure_fin, nbr_personnes)
                VALUES (:id_client, :id_salle_de_danse, :date_reservation, :heure_debut, :heure_fin, :nbr_personnes)";
        $stmt = $pdo->prepare($sql);
        $stmt->execute([
            'id_client' => $id_client,
            'id_salle_de_danse' => $id_salle_de_danse,
            'date_reservation' => $date_reservation,
            'heure_debut' => $heure_debut,
            'heure_fin' => $heure_fin,
            'nbr_personnes' => $nbr_personnes
        ]);

        // Envoi de l'e-mail de confirmation et de remerciement
        $sujet = "Confirmation de réservation";
        $from = 'sophie.mukengeshayi@edu.univ-eiffel.fr.com'; /
        $headers  = 'MIME-Version: 1.0' . "\r\n";
        $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";
        $headers .= 'From: '.$from."\r\n".
                    'Reply-To: '.$from."\r\n" .
                    'X-Mailer: PHP/' . phpversion();

        // Message HTML
        $message = '<div style="font-family: Arial, sans-serif;">
                        <h3>Bonjour ' . $prenom . '!</h3>
                        <p>Nous vous confirmons votre réservation pour la salle de danse : <strong>' . $id_salle_de_danse . '</strong>.</p>
                        <p><strong>Date de réservation :</strong> ' . $date_reservation . '</p>
                        <p><strong>Heure de début :</strong> ' . $heure_debut . '</p>
                        <p><strong>Heure de fin :</strong> ' . $heure_fin . '</p>
                        <p><strong>Nombre de personnes :</strong> ' . $nbr_personnes . '</p>
                        <p>Merci pour votre confiance et à bientôt !</p>
                    </div>';

        if (mail($email, $sujet, $message, $headers)) {
            echo 'Votre réservation a été traitée avec succès ! Un e-mail de confirmation vous a été envoyé.';
        } else {
            echo "L'e-mail n'a pas pu être envoyé. Vérifiez la configuration de votre serveur.";
        }
    } catch (PDOException $e) {
        // Si une erreur survient, affichez un message d'erreur
        echo "Une erreur est survenue lors du traitement de votre réservation. Veuillez réessayer plus tard.";
        // Afficher les détails de l'erreur pour le débogage (à retirer en production)
        echo "Erreur : " . $e->getMessage();
    }

    // Fermeture de la connexion à la base de données
    $pdo = null;
}
?>
